Subject: [Jmap] Benjamin Schwartz comments on draft-ietf-jmap-websocket-05

From: "Alexey Melnikov" <[email-masked]>
Date: Fri, 21 Feb 2020 12:45:20 +0000

Hi,

**********************************************************************
* Note, that I am conducting an experiment when people aspiring to be*
* Area Directors get exposed to AD work ("AD shadowing experiment"). *
* As a part of this experiment they get to review documents on IESG  *
* telechats according to IESG Discuss criteria document and their    *
* comments get relayed pretty much verbatim to relevant editors/WGs. *
* As an AD I retain responsibility in defending their position when  *
* I agree with it.                                                   *
* Recipients of these reviews are encouraged to reply to me directly * 
* about perceived successes or failures of this experiment.          *
**********************************************************************

I also have some comments on Benjamin's comments below marked with "[[Alexey]]:"

The following comments were provided by Benjamin Schwartz <[email-masked]>:

Benjamin would have balloted *YES* on this document. He wrote:

## Section 3

Consider removing “webSocket” from the parameter names.  It is redundant within this context.

## Section 4

   Binary data MUST NOT be uploaded or downloaded
   through a WebSocket JMAP connection.

Please provide a motivation for this restriction.

[[Alexey: In standard JMAP these operations are performed on special HTTPS endpoints, so no JMAP objects are exchanged there. This document just does the same.]]

## Section 4.1

I would suggest replacing this MUST with a simple reference to Section 8.2, which can contain its own normative language.

[[Alexey: Ben, can you clarify why you suggest pointing to Section 8.2? Is this in another RFC?]]

## Section 4.3.2

Is “@type” now required on all Request/Response/Problem Details objects everywhere?  Does this update RFC 8620?

---------------------

Best Regards,
Alexey